﻿@model MIMS.Portal.ViewModels.SignInViewModel

@using Microsoft.Extensions.Configuration

@inject IConfiguration _config;

@{
    ViewData["PageTitle"] = "ورود";
    ViewData["PageDescription"] = "";
    Layout = "/Views/Shared/Layouts/_BlankLayout.cshtml";

}
@{
    var random = new Random();
    var list = new List<string> { "blank-bg-1.png", "blank-bg-2.png", "blank-bg-3.png", "blank-bg-4.jpg", "blank-bg-5.jpg", "blank-bg-6.jpg" };
    var file = list[random.Next(list.Count)];
    var host= $"{Context.Request.Scheme}://{Context.Request.Host}";

}


@section styles{

    <style>
        .signin-background {
            background-image: url('@($"{host}/app-assets2/images/backgrounds/{file}")');
            background-repeat: no-repeat;
            background-position: center center;
            background-attachment: fixed;
            background-size: cover;
        }
    </style>
}

<!-- Modal -->
<div id="modal-alert" class="modal fade">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">اطلاعیه</h5>
            </div>
            <div class="modal-body">
                <div class="alert alert-warning no-border mt-1" role="alert">
                    <strong>کاربر گرامی</strong> <br />
                    با توجه به بروزرسانی و تغییرات اعمال شده در سامانه، برای ورود از کدملی ثبت شده در پنل کاربری خود بعنوان گذرواژه استفاده نمایید.
                </div>
            </div>
        </div>
    </div>
</div>

<section class="flexbox-container signin-background">
    <div class="col-md-4 offset-md-4 col-xs-10 offset-xs-1  box-shadow-2 p-0">
        <div class="card border-grey border-lighten-3 m-0">
            <div class="card-header no-border">
                <div class="card-title text-xs-center">
                    <h2 class="blue-grey">
                        پرداخت الکترونیک فجر
                    </h2>
                    <div class="p-1" hidden>
                        <img src="../../app-assets2/images/logo/brand-logo-dark.png" alt="branding logo" hidden>
                    </div>
                </div>
                <h6 class="card-subtitle line-on-side text-muted text-xs-center font-small-3 pt-2"><span>@ViewBag.PageTitle</span></h6>
            </div>
            <div data-title="Welcome!" data-intro="Hello World! 👋" class="card-body collapse in">
                <div class="card-block">
                    <form method="post">
                        @if (ViewBag.AuthError != null)
                        {
                        <div class="alert alert-warning no-border text-center mb-2" role="alert">
                            @ViewBag.AuthError
                        </div>
                        }
                        <div class="form">
                            <div class="form-body">
                                <div asp-validation-summary="None" class="list-unstyled"></div>

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group position-relative has-icon-left mb-1">
                                            <span asp-validation-for="UserName" class="text-danger" hidden></span>
                                            <input asp-for="UserName" class="form-control" autocomplete="off" />
                                            <div class="form-control-position">
                                                <i class="icon-head"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group position-relative has-icon-left mb-1">
                                            <span asp-validation-for="Password" class="text-danger" hidden></span>
                                            <input asp-for="Password" class="form-control" autocomplete="off" />
                                            <div class="form-control-position">
                                                <i class="icon-key3"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group position-relative has-icon-left mb-1">
                                            <span asp-validation-for="Captcha" class="text-danger" hidden></span>
                                            <input asp-for="Captcha" class="form-control" />
                                            <div class="form-control-position">
                                                <i class="icon-security"></i>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="input-group">
                                            <input class="form-control captcha-img" style="background-image: url(@Url.ActionLink("GetCaptcha", "Account", new { }))">
                                            <span class="input-group-addon">
                                                <a type="button" id="new-captcha" class="text-muted" href="javascript:void(0);"><i class="icon-refresh"></i></a>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary btn-lg btn-block"><i class="icon-log-in"></i> ورود</button>
                        <!--<div class="clearfix text-danger text-xs-center mt-2 px-2">
                        <span class=" d-xs-block d-md-inline-block">-->
                        @*@(ViewBag.AuthError == null ? "" : Html.Raw("<i class='fa fa-fw fa-exclamation-triangle'></i>" + @ViewBag.AuthError)   )*@
                        <!--</span>
                        </div>-->
                    </form>
                </div>
            </div>
            <div class="card-footer">
                <div class="">
                    <p class="float-sm-right text-xs-center m-0">
                        <a asp-action="ForgotPassword" class="card-link">فراموشی اطلاعات <i class="icon-long-arrow-left"></i></a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</section>


@section Scripts {
    @*<script type="text/javascript">
        $(window).on('load', function () {
            $('#modal-alert').modal('show');
        });
    </script>*@
    <script>
        $("#new-captcha").click(function () {
            let imgUrl = `${location.protocol}//${location.host}/account/get-captcha?${new Date().getTime()}`;
            $(".captcha-img").css("backgroundImage", "url(" + imgUrl + ")");
        });
    </script>
}



